<?php

/**
 * @file Google Civic settings
 * Responsible for the Google Civic Drupal admin interface.
 */

/**
 * Creates the admin form.
 *
 * @return Form
 *   An array containing form items to place on the module settings page.
 */
function google_civic_settings_form() {
  $form = array();

  $form['google_civic_key'] = array(
    '#type' => 'textfield',
    '#title' => t('Google Civic API Key'),
    '#default_value' => variable_get('google_civic_key', ''),
    '#description' => t('Enter your Google Civic API Key.'),
  );

  $form['google_civic_election_id'] = array(
    '#type' => 'textfield',
    '#title' => t('Google Civic Election ID'),
    '#default_value' => variable_get('google_civic_election_id', ''),
    '#description' => t('Enter the Google Civic election ID to use '
                      . 'when issuing Google Civic requests.'),
  );

  $form['google_civic_election_date'] = array(
    '#type' => 'date_select',
    '#title' => t('Election Day'),
    '#default_value' => variable_get('google_civic_election_date', ''),
    '#description' => t('Enter the election date (for display).'),
  );

  $form['google_civic_default_search_address'] = array(
    '#type' => 'textfield',
    '#title' => t('Default Search Address'),
    '#default_value' =>
      variable_get('google_civic_default_search_address', ''),
  );

  $form['google_civic_search_address_description'] = array(
    '#type' => 'textfield',
    '#title' => t('Search Address Field Description'),
    '#default_value' =>
      variable_get('google_civic_search_address_description',
      t('Enter your street address to find your polling location')),
  );

  $form['google_civic_map_width'] = array(
    '#type' => 'textfield',
    '#title' => t('Default map width in pixels'),
    '#default_value' => (int) variable_get('google_civic_map_width', 500),
  );

  $form['google_civic_map_height'] = array(
    '#type' => 'textfield',
    '#title' => t('Default map height in pixels'),
    '#default_value' => (int) variable_get('google_civic_map_height', 300),
  );


  return system_settings_form($form);
}

